PHP modules of nightly broken on Ubuntu 20.04?


  • Hello,

    After updating to latest nightly I’m not able to login in the webapp: “Unknown MAPI Error: MAPI_E_NOT_FOUND”

    In the apache logfile I found this:

    Unable to load libkcclient.so: /usr/lib/x86_64-linux-gnu/kopano/libkcclient.so: undefined symbol: _ZN2KC14kc_starts_withERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEERKSt17basic_string_viewIcS3_E, version KC_10.0
    Unable to load libkccontacts.so: /usr/lib/x86_64-linux-gnu/kopano/libkccontacts.so: undefined symbol: _ZN2KC4Util14HrCopyPropertyEP10SPropValuePKS1_Pv, version KC_10.0
    
    

  • Temporary solution:
    Extract libkcclient.so and libkccontacts.so from an older kopano version and use them instead.


  • What build are you using? I’ve used core-10.0.6.298.95327a3-Ubuntu_20.04-amd64.tar.gz to update three servers from 18.04 + Kopano core-8.7.8X builds and it seems to work pretty well, including webapp (4.2.2852) and z-push.

  • Kopano

    I am not able to reproduce it either with 10.0.6.356.dc243eea4-0+194.1 on Ubuntu 20.04.


  • Last version I tried and had this problem was core-10.0.6.356.f5feab0-Ubuntu_20.04-amd64 (31.July). Same problem with core-10.0.6.349.5ddbe8b-Ubuntu_20.04-amd64 and core-10.0.6.310.9cb750e-Ubuntu_20.04-amd64.
    Solved by using the so from core-10.0.5.5.e123090-Ubuntu_20.04-amd64


  • @fbartels said in PHP modules of nightly broken on Ubuntu 20.04?:

    I am not able to reproduce it either with 10.0.6.356.dc243eea4-0+194.1 on Ubuntu 20.04.

    Problem still exists on core-10.0.6.376.70658fe-Ubuntu_20.04-amd64.tar.gz
    @fbartels What additional information do you need to fix ist?

  • Kopano

    @bmaehr said in PHP modules of nightly broken on Ubuntu 20.04?:

    What additional information do you need to fix ist?

    Since also others were not able to reproduce I am inclined to think this is just an issue on your local configuration. I’d recommend you to setup a new system and see if the problem exists there as well. If it does please provide exact steps of your installation.


  • The apache update installed on Saturdy solved this …